import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {RouterModule} from "@angular/router";
@NgModule({
  imports: [CommonModule, RouterModule.forChild([
    // Search Pages
    { path: '', redirectTo: 'find/research-outcomes'},
    { path: 'find/research-outcomes', loadChildren:  './searchPages/simple/searchResearchResults.module#MonitorSearchResearchResultsModule'},
    { path: 'find/projects', loadChildren: './searchPages/simple/searchProjects.module#MonitorSearchProjectsModule'},
    { path: 'find/dataproviders', loadChildren: './searchPages/simple/searchDataProviders.module#MonitorSearchDataProvidersModule'},
    { path: 'find/organizations', loadChildren: './searchPages/simple/searchOrganizations.module#MonitorSearchOrganizationsModule'},
    // Advanced Search Pages
    { path: 'advanced/research-outcomes', loadChildren:  './searchPages/advanced/searchResearchResults.module#MonitorAdvancedSearchResearchResultsModule'},
    { path: 'advanced/projects', loadChildren: './searchPages/advanced/searchProjects.module#MonitorAdvancedSearchProjectsModule'},
    { path: 'advanced/dataproviders', loadChildren: './searchPages/advanced/searchDataProviders.module#MonitorAdvancedSearchDataProvidersModule'},
    { path: 'advanced/organizations', loadChildren: './searchPages/advanced/searchOrganizations.module#MonitorAdvancedSearchOrganizationsModule'},
    // Landing Pages
    { path: 'result', loadChildren: './landingPages/result/libResult.module#LibResultModule'},
    { path: 'publication', loadChildren: './landingPages/publication/libPublication.module#LibPublicationModule'},
    { path: 'dataset', loadChildren: './landingPages/dataset/libDataset.module#LibDatasetModule'},
    { path: 'software', loadChildren: './landingPages/software/libSoftware.module#LibSoftwareModule'},
    { path: 'other', loadChildren: './landingPages/orp/libOrp.module#LibOrpModule'},
    { path: 'project', loadChildren: './landingPages/project/libProject.module#LibProjectModule'},
    { path: 'dataprovider', loadChildren: './landingPages/dataProvider/libDataProvider.module#LibDataProviderModule'},
    { path: 'organization', loadChildren: './landingPages/organization/libOrganization.module#LibOrganizationModule'},
  ])]
})
export class SearchModule {}
